Name:           glite-lb-types
Version:        2.0.7
Release:        4%{?dist}
Summary:        Auxiliary build-time component defining LB event types and job status fields

License:        ASL 2.0
Url:            http://glite.cern.ch
Source:         http://scientific.zcu.cz/emi/emi.lb.types/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(POSIX)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
%{summary}.


%prep
%setup -q


%build
perl ./configure --root=/ --prefix=%{_prefix} --libdir=%{_lib} --module lb.types
make


%install
make install DESTDIR=$RPM_BUILD_ROOT


%files
%doc LICENSE project/ChangeLog
%dir %{_datadir}/glite-lb/at3/
%dir %{perl_vendorlib}/
%dir %{perl_vendorlib}/gLite/
%dir %{perl_vendorlib}/gLite/LB/
%dir %{_includedir}/glite/
%dir %{_includedir}/glite/lb/
%{_bindir}/glite-lb-at3
%{_bindir}/glite-lb-check_version.pl
%{_includedir}/glite/lb/*
%{perl_vendorlib}/gLite/LB/StructField.pm
%{perl_vendorlib}/gLite/LB/MultiStruct.pm
%{_datadir}/glite-lb/at3/events.T
%{_datadir}/glite-lb/at3/status.T
%{_datadir}/glite-lb/at3/types.T


%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 2.0.7-3
- Perl 5.18 rebuild

* Thu Jun 27 2013 František Dvořák <valtri@civ.zcu.cz> - 2.0.7-2
- Add perl build dependencies

* Tue Jun 25 2013 František Dvořák <valtri@civ.zcu.cz> - 2.0.7-1
- Initial package
